%global momorel 2
%global		qtver 4.4.0
%global		qtdir %{_libdir}/qt4

Name:		qzion
Version:	0.3.0
Release:	%{momorel}m%{?dist}
Summary:	a canvas abstraction used by and made for QEdje
License:	GPLv3
Group:		System Environment/Libraries
URL:		http://dev.openbossa.org/trac/qedje/
Source0:	http://dev.openbossa.org/qedje/downloads/source/%{name}/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt-devel >= %{qtver}
BuildRequires:	kdelibs-devel
BuildRequires:	eet-devel
Requires:	qt >= %{qtver}
Requires:	eet

%description
QZion is a canvas abstraction used by and made for QEdje. As it is an
abstraction, different implementations can exist, making it possible to
optimize QEdje for different platforms/devices.

Currently an implementation, based on KGameCanvas (from libkdegames)
exists, but work is being done on providing an implementation using QT's
QGraphicsView.

The KGameCanvas-based implementation is very lightweight and works relatively
well on embedded devices, where QGraphicsView is currently slow and not
yet optimized for.

%package devel
Summary:	heders and libraries for %{name}
Group:		System Environment/Libraries
Requires:	%{name} = %{version}

%description devel
heders and libraries for %{name}

%prep
%setup -q

%build
qmake-qt4
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
## 
mkdir -p %{buildroot}{%{_includedir},%{_libdir}/pkgconfig}
install -m 755 -p src/qpainter/libqzion.so.0.3.0 %{buildroot}%{_libdir}
ln -sf libqzion.so.0.3.0 %{buildroot}%{_libdir}/libqzion.so
ln -sf libqzion.so.0.3.0 %{buildroot}%{_libdir}/libqzion.so.0
ln -sf libqzion.so.0.3.0 %{buildroot}%{_libdir}/libqzion.so.0.3
install -m 644 -p src/qpainter/libqzion.prl %{buildroot}%{_libdir}
install -m 644 -p src/qpainter/pkgconfig/qzion.pc %{buildroot}%{_libdir}/pkgconfig
install -m 644 -p src/common/qzion.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qzionmacros.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qziontext.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qziontextblock.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qzionrectangle.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qziongroup.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qzionclippedgroup.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qzionimage.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qzioncanvas.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qzionobject.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qzionabstractcanvas.h %{buildroot}%{_includedir}
install -m 644 -p src/common/qzioncustomobject.h %{buildroot}%{_includedir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/libqzion.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libqzion.so
%{_libdir}/libqzion.prl
%{_libdir}/pkgconfig/qzion.pc

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.0-2m)
- rebuild against rpm-4.6

* Fri Oct  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-1m)
- initial build for Momonga Linux 5
